[Numpy-discussion] numpy1.4 dtype issues: scipy.stats & pytables

David Cournapeau david@silveregg.co...
Wed Jan 13 22:41:13 CST 2010


denis wrote:
> On 12/01/2010 17:41, Robert Kern wrote:
> 
>> It's not a bug, but it is a known issue. We tried very hard to keep
>> numpy 1.4 binary compatible; however, Pyrex and Cython impose
>> additional runtime checks above and beyond binary compatibility.
> 
> Robert, Josef,
>    are you saying that mac users shouldn't expect
> numpy-1.4.0-py2.6-python.org.dmg
> scipy-0.7.1-py2.6-python.org.dmg
> to "just work" together, download and go ?

It would not work for the concerned subpackages, no.

> If not, then the download pages should clearly say "... may not work with ..."
> (If they weren't tested together, that's imho a problem in the process;
> I realize that testing is hard work, no glory.)

It is not so much hard-work than time consuming, at least as long as we 
don't have automated testing of binaries.

Unfortunately, the problem was not caught properly during the beta phase,

David


More information about the NumPy-Discussion mailing list